package com.zt.plat.module.qms.iot.tcpserver.core;

import java.util.Date;

public class IotDeviceSessionForRedisContext extends IotDeviceSessionContext{

    private static final long serialVersionUID = 1L;

    private Date regTime;       //注册时间
    private Date expireTime;    //过期时间
    private String balanceWeightUnit;   //天平重量单位
    private Long lastBalanceDataTime;   //天平最后数据时间

    private String tenantId;    //租户ID

    public Date getRegTime() {
        return regTime;
    }

    public void setRegTime(Date regTime) {
        this.regTime = regTime;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public String getBalanceWeightUnit() {
        return balanceWeightUnit;
    }

    public void setBalanceWeightUnit(String balanceWeightUnit) {
        this.balanceWeightUnit = balanceWeightUnit;
    }

    public Long getLastBalanceDataTime() {
        return lastBalanceDataTime;
    }

    public void setLastBalanceDataTime(Long lastBalanceDataTime) {
        this.lastBalanceDataTime = lastBalanceDataTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}
